Delete an Ignore Rule

Prev Next

This URL deletes an ignore rule.

Resource URL

DELETE /domain/<domainId>/attackfilter82/<ruleId>?context=NTBA/SENSOR

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes
ruleId Rule id of the ignore rule to be deleted Number Yes

Query Parameters:

Field Name Description Data Type Mandatory
context Context of the ignore rule. Its values can be:
  • NTBA
  • SENSOR
String Yes (If not specified default is SENSOR)

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Value 1 indicates ignore rule is deleted successfully Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/0/attackfilter82/143?context=SENSOR

Response

{
   "status": 1
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1408 Invalid rule id/provided rule id is not visible to this domain